jQuery(document).ready(function ($) {
    $('div.actions-updated').delay(1000).fadeOut('slow');
    function handleCookieDeath() {
        var n = $('#wpcwv2_cookie_expire_immdeiately:checked').length;
        if (n == 0) {
            $('#wpcwv2_cookie_expire_type').removeAttr('disabled');
            $('#wpcwv2_cookie_expire_num').removeAttr('disabled')
        } else {
            $('#wpcwv2_cookie_expire_type').attr('disabled', 'disabled');
            $('#wpcwv2_cookie_expire_num').attr('disabled', 'disabled')
        }
    }
    handleCookieDeath();
    $('#wpcwv2_cookie_expire_immdeiately').click(handleCookieDeath);

    function handleOverrides() {
        var a = $('input[name=wpcwv2_author_override]:checked').val();
        if (a == "0") {
            $('input:radio[name=wpcwv2_enter_use_which], input:radio[name=wpcwv2_exit_use_which], #wpcwv2_exit_page_id,#wpcwv2_enter_page_id').attr("disabled", "disabled")
        } else {
            $('input:radio[name=wpcwv2_enter_use_which], input:radio[name=wpcwv2_exit_use_which], #wpcwv2_exit_page_id,#wpcwv2_enter_page_id').removeAttr("disabled")
        }
    }
    handleOverrides();
    $('input:radio[name=wpcwv2_author_override]').click(handleOverrides);
	
	function handleHeight(){
		// Use outerHeight instead of just Height to compensate for padding and
		// margins.
		var curHeight = $('#cwContent > div.active').outerHeight();
		// Set the height.
		$('#cwContent').height(curHeight);
	}
	handleHeight();
	
	$('#cwTabs > li').click(function(){
		var selTab = $(this).attr('id'); // use string.substring(4) to get the tab number.		
		var tabNum = selTab.substring(4);
		var newHeight = $("#cont-"+tabNum).outerHeight();
		
		$('#cwContent').height(newHeight);
		
		$('#cwTabs li, #cwContent > div').removeClass('active');
		$(this).addClass('active');
		$('div#cwContent > div').fadeOut('fast')
		
		$("#cont-"+tabNum).fadeIn('fast', function(){
			$(this).addClass('active');
		});	
	});
});